<template>
  <div>
    <div class="border border-grey-default rounded-md p-2 m-auto" style="width: 450px; height: 350px" >
      <div class="relative w-full h-full">
        <PersonDialog v-for="passenger in store.getPeopleInUnit(store.selectedUnitId)" :id="passenger.id" :key="passenger.id" :passenger="passenger">
          <div :class="[passenger.temperature >= 37.5 ? 'border-red-default' : 'border-blue-default', `absolute bg-white rounded-md border-4 border-solid rounded-full p-1 w-6 h-6 cursor-pointer`]" :style="`left: ${passenger.unitX}%; top: ${passenger.unitY}%;`">
            <div v-if="passenger.phone" class="relative group w-full h-full">
              <div class="opacity-0 group-hover:opacity-100 absolute -top-full transform -translate-y-5 -translate-x-1/3 bg-white rounded-md shadow px-2 py-1">
                <t-span size="text-md">{{ passenger.phone }}</t-span>
              </div>
            </div>
          </div>
        </PersonDialog>
      </div>
    </div>
    <div class="flex flex-col items-center justify-center mt-8">
      <div class="flex items-center space-x-4">
        <a-time-picker v-model="startTime" value-format="HH:mm:ss" placeholder="Start Time" />
        <a-time-picker v-model="endTime" value-format="HH:mm:ss" placeholder="End Time" />
        <div class="w-20">
          <b-action-button @click="onFilter">Filter</b-action-button>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { defineComponent } from '@nuxtjs/composition-api'
import { useBuilding } from '~/store/building'
import BActionButton from '~/components/shared/buttons/ActionButton'

export default defineComponent({
  components: { BActionButton },
  setup() {
    const store = useBuilding()
    return { store }
  },
  data() {
    return {
      startTime: this.store.currentStartTime,
      endTime: this.store.currentEndTime,
    }
  },
  watch: {
    'store.currentStartTime'() {
      this.startTime = this.store.currentStartTime
    },
    'store.currentEndTime'() {
      this.startTime = this.store.currentStartTime
    },
  },
  methods: {
    onFilter() {
      this.store.fetchFloors(this.store.currentDate, this.startTime, this.endTime, false)
    }
  }
})
</script>
